Sequences

Import Prospects

POST/v1/sequences/prospects/import-with-field-name
POST
/v1/sequences/prospects/import-with-field-name

Import prospect with field name in to sequence

Ensure that the field names exist in the system. You can import up to 100,000 prospects at a time, with a maximum content size of 90 MB.

This can be a large request and may take some time to complete. But you will get response immediately after the request is submitted.

On request of this API, you will receive a requestId that can be used to check the status of the import process.

To check the status of the import process, you can use the v1/sequences/prospects/import-with-field-name/status API.

If there is any error during the import process, you will receive a CSV file link containing the error details.

Authorization

x-api-key<token>

API key for Open API authentication

In: header

Request Body

application/jsonRequired

prospectListarray<string>

The array of prospect list. Each prospect is represented by an array of fields.

Example: [{"First Name":"Jon","Last Name":"Smith","Email":"[email protected]","Company":"ABC","Country":"USA","Phone Number":"1234567890","Job Title":"Procurement Manager"},{"First Name":"Jemmy","Last Name":"Lorance","Email":"[email protected]","Company":"ABC","Country":"USA","Phone Number":"1234567891","Job Title":"Procurement Manager"}]

stepIdnumber

Set the step to which the prospect is to be added

Example: "0VOLRwYe82"

verifyProspectsboolean

Optional. Set to "true" if prospect's email address should be verified

conflictActionstring

Conflict action to take if we attempt to add an already existing prospect

Value in: "overwrite" | "noUpdate" | "addMissingFields"

tagsarray<string>

Array of tags to be assigned to the imported prospects. If the tag does not exist, it will be created.

Example: ["tag1","tag2","tag3"]

Responses

201
201 response
{
  "message": "Prospect import has started successfully. Please wait while we import your prospects. You may check the status using this API `v1/prospects/import-status/{{requestId}}`.",
  "payload": {
    "requestId": "129a184"
  }
}

Request

curl -X POST \
  "https://open-api.saleshandy.com/v1/sequences/prospects/import-with-field-name" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
  "prospectList": [
    {
      "First Name": "Jon",
      "Last Name": "Smith",
      "Email": "[email protected]",
      "Company": "ABC",
      "Country": "USA",
      "Phone Number": "1234567890",
      "Job Title": "Procurement Manager"
    },
    {
      "First Name": "Jemmy",
      "Last Name": "Lorance",
      "Email": "[email protected]",
      "Company": "ABC",
      "Country": "USA",
      "Phone Number": "1234567891",
      "Job Title": "Procurement Manager"
    }
  ],
  "stepId": "0VOLRwYe82",
  "verifyProspects": false,
  "conflictAction": "overwrite",
  "tags": [
    "tag1",
    "tag2",
    "tag3"
  ]
}'

Response

No response body